Bug 976199 - top show error message top: write error
top show error message top: write error
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: procps-ng (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jaromír Cápík
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-20 02:19 EDT by Vasiliy Glazov
Modified: 2016-01-31 20:58 EST (History)
2 users (show)

See Also:
Fixed In Version: procps-ng-3.3.7-6.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-03 20:58:09 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vasiliy Glazov 2013-06-20 02:19:04 EDT
Description of problem:
Simple command string
top -b -n 1 | grep top -m 1
show error message
top - 10:13:28 up 19:58, 10 users,  load average: 1,07, 0,91, 0,80
top: write error

It present in Fedora 19. In Fedora 18 this message is absent.

Version-Release number of selected component (if applicable):
procps-ng-3.3.7-3.fc19.x86_64

How reproducible:
Always.

Steps to Reproduce:
1. top -b -n 1 | grep top -m 1


Actual results:
top - 10:13:28 up 19:58, 10 users,  load average: 1,07, 0,91, 0,80
top: write error

Expected results:
top - 10:13:28 up 19:58, 10 users,  load average: 1,07, 0,91, 0,80

Additional info:
It can be solwed with top -b -n 1 top: 2>/dev/null | grep top -m 1
but this is not right.
Comment 1 Vasiliy Glazov 2013-06-20 02:23:41 EDT
Correction to additional info:
Can be solved with top -b -n 1 2>&1 | grep top -m 1
Comment 2 Jaromír Cápík 2013-06-26 11:30:17 EDT
Hello Vasiliy.

Jim Warner (author of the 'top' tool) has noticed your report and released a patch for the issue. I'm going to test the fix and if there's no problem, then I'll apply the patch locally and rebuild the package.

Thanks for the report.

Regards,
Jaromir.
Comment 3 Fedora Update System 2013-06-26 12:54:32 EDT
procps-ng-3.3.7-6.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/procps-ng-3.3.7-6.fc19
Comment 4 Vasiliy Glazov 2013-06-27 01:24:31 EDT
Thank you very much, everything works.
Comment 5 Fedora Update System 2013-06-27 11:45:51 EDT
Package procps-ng-3.3.7-6.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing procps-ng-3.3.7-6.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-11817/procps-ng-3.3.7-6.fc19
then log in and leave karma (feedback).
Comment 6 Fedora Update System 2013-07-03 20:58:09 EDT
procps-ng-3.3.7-6.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.